Update post
curl --request PUT \
--url https://mvp.tryunsora.com/api/v1/posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mainCaption": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"accounts": [
{
"id": "<string>",
"accountId": "<string>",
"customCaption": "<string>",
"title": "<string>"
}
]
}
'import requests
url = "https://mvp.tryunsora.com/api/v1/posts/{id}"
payload = {
"mainCaption": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"accounts": [
{
"id": "<string>",
"accountId": "<string>",
"customCaption": "<string>",
"title": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mainCaption: '<string>',
scheduledFor: '2023-11-07T05:31:56Z',
timezone: '<string>',
accounts: [
{
id: '<string>',
accountId: '<string>',
customCaption: '<string>',
title: '<string>'
}
]
})
};
fetch('https://mvp.tryunsora.com/api/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"userId": "<string>",
"mainCaption": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledTimezone": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"media": [
{
"id": "<string>",
"postId": "<string>",
"order": 123,
"assetId": "<string>"
}
],
"postAccounts": [
{
"id": "<string>",
"postId": "<string>",
"accountId": "<string>",
"published": true,
"customCaption": "<string>",
"title": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"account": {
"id": "<string>",
"provider": "<string>",
"accountName": "<string>",
"accountUsername": "<string>",
"profilePicture": "<string>"
}
}
]
},
"message": "<string>"
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "PLAN_REQUIRED"
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Posts
Update post
Update a draft or scheduled post. Published posts cannot be edited. Requires an active paid plan.
PUT
/
posts
/
{id}
Update post
Authorizations
Clerk session JWT or Unsora API key (uns_live_*)
Path Parameters
Body
application/json
⌘I

